# module Crystal::EventLoop::Event

##
Direct including types

- Crystal::EventLoop::Polling::FiberEvent

##
Defined in:

crystal/event_loop.cr

##
Instance Method Summary

- #add(timeout : Time::Span) : Nil

  Adds a new timeout to this event.

- #free : Nil

  Frees the event.

##
Instance Method Detail

abstract def add(timeout : Time::Span) : Nil #

Adds a new timeout to this event.

abstract def free : Nil #

Frees the event.